Utils

Supported subscription/pricing recurrence rules

GET
/v1/utils/rules-of-recurrencies

Authorization

selectkey<token>

API key para requisições autenticadas. Envie sua chave no cabeçalho selectkey (sandbox sk_test_…, produção sk_live_…).

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/utils/rules-of-recurrencies"
{
  "data": {
    "frequencies": [
      "string"
    ],
    "frequencyCount": {
      "min": 0,
      "max": 0
    },
    "pricingTypes": [
      "string"
    ],
    "pricingSchemas": [
      "string"
    ],
    "billingTypes": [
      "string"
    ],
    "trialIntervals": [
      "string"
    ]
  }
}
{
  "error": {
    "status": "Unauthorized",
    "statusCode": 401,
    "category": "authentication",
    "code": "unauthorized",
    "message": "Authentication is required to access this resource.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Internal Server Error",
    "statusCode": 500,
    "category": "server",
    "code": "serverError",
    "message": "An unexpected error occurred. Please try again later.",
    "resource": "server",
    "details": "If the problem persists, contact support with the correlationId from the response headers."
  }
}